html,
body {
	margin: 0;
	padding: 0;
	width: 100vdw;
	height: 100vdh;
	overflow: hidden;
	/* background-color: red; */
}

.mask {
	z-index: 19000;
	display: none;
	position: absolute;
	left: 0;
	top: 0;

	width: 100%;
	height: 100%;

	background-color: white;
	opacity: 0.5;
}
.print-dialog {
	z-index: 20000;
	display:none;
	position: absolute;
	width: 280px;
	height: 210px;
	left: calc(50% - ((280px + (24px + 8px) * 2) / 2));
	top: calc(50% - ((210px + (24px + 8px) * 2) / 2));
	border-style: solid;
	border-width: 8px;
	border-color: RGB(135,206,235);
	background-color: RGB(230,255,255);
	
  padding: 24px;
  background: #faf8f6;
  border-radius: 16px;
  box-shadow: 0 8px 24px rgba(0,0,0,0.25);
  font-family: "Noto Sans JP", sans-serif;
}
.pageJump-dialog {
	z-index: 20000;
	display: none;
	position: absolute;
	width: 280px;
	height: 160px;
	left: calc(50% - ((280px + (24px + 8px) * 2) / 2));
	top: calc(50% - ((160px + (24px + 8px) * 2) / 2));
	border-style: solid;
	border-width: 8px;
	border-color: RGB(135,206,235);
	background-color: RGB(230,255,255);
	
  padding: 24px;
  background: #faf8f6;
  border-radius: 16px;
  box-shadow: 0 8px 24px rgba(0,0,0,0.25);
  font-family: "Noto Sans JP", sans-serif;
}

.print-dialog h2,
.pageJump-dialog h2 {
  margin-bottom: 16px;
  font-size: 18px;
  color: #444;
}
.pageJump-dialog #url {
	display: none;
}

.label {
  display: flex;
  flex-direction: column;
  gap: 6px;
  margin-bottom: 20px;
  color: #555;
}

select {
  padding: 10px 12px;
  border-radius: 10px;
  border: 1px solid #ddd;
  background: #fff;
  font-size: 14px;
}
#url, #title {
  padding: 10px 12px;
  /* border-radius: 10px; */
  /* border: 1px solid #ddd; */
  /* background: #fff; */
  font-size: 14px;
}

.buttons {
  display: flex;
  gap: 12px;
}

button {
  flex: 1;
  padding: 10px 0;
  border-radius: 10px;
  border: none;
  font-size: 14px;
  cursor: pointer;
  transition: 0.25s ease;
}

button.primary {
  background: #6c9bcf;
  color: #fff;
}

button.primary:hover {
  background: #5a8ac0;
  transform: translateY(-2px);
}

button.secondary {
  background: #e4e1dd;
  color: #555;
}

button.secondary:hover {
  background: #d8d4cf;
  transform: translateY(-2px);
}



#debug{
	position: absolute;
	left:5em;
	top:1em;
	/* display: none; */
}
.wraper {
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-color: lightyellow;
}
.title {
	position: absolute;
	left: 0;
	right: 0;
	width: 100%;
	text-align: center;
	background-color: RGBA(255,255,255,0.5);
	color: gray;
	z-index: 1100;
}

#book {
	margin: 0 auto;
	width: 100%;
	height: 100%;
	touch-action: pan-y;
}

html,body,#book,.wraper {
	height: 100dvh;							/* android対応 */
}

.toolBox,
.toolBox2 {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 10000;
	width: calc(4% * 1);
	height: 100%;
}
.toolBox2 {
	left: 64px;
	display: none;
}

.icon {
	width: 100%;
	margin: 5%;
	padding: 0;
	opacity: 50%;
	cursor: pointer;
	user-select: none;
}
.page {
	cursor: pointer;
}

.drag, .paint, .erase {
	display: none;
}

.pageNavi {
	position: absolute;
	width: 25%;
	/* border-style:solid; */
	left: calc(50% - (25% / 2));
	/* calc((100% / 2) - (25%)); */
	bottom: -1%;
	/* border-style:solid; */
	/* width: calc((100% + 5%) * 8); */
	height: auto;
}
.pageNavi .icon {
	width: 30%;
}

.pageNavi>.left {
	/* position: absolute;
	left:0;
	top:0; */
	display: inline-block;
	text-align: left;
	width: calc(50% - 10px);
}

.pageNavi>.right {
	/* position: absolute;
	right:0;
	top:0; */
	display: inline-block;
	text-align: right;
	width: calc(50% - 10px);
}

.thumbArea {
	position: absolute;
	left: auto;
	bottom: auto;
	right: 0;
	top: 0;
	/* border-style:solid; */
	width: calc(32px * 2 + 62px);
	height: 100%;
	overflow: auto;
}
.thumb {
	width: calc(32px * 2 + 32px);
	height: auto;
	/* //calc(64px * 40); */
	margin: 32px 0 32px auto;
}
.thumb>.page {
	overflow: hidden;
	display: inline-block;
	width: 32px;
	/* height: 3%; */
	/* margin: 0 0px; */
	/* background-color: white; */
}

.thumb>.page>img {
	/* width: auto;
	height: 100%; */
	/* margin:0;
	padding:0; */
}

.thumb>.page {
	position: relative;
	margin-bottom: 16px;
	opacity: 0.75;
	text-align: right;
	user-select: none;
	user-drag: none;
	-webkit-user-drag: none; /* Chrome / Safari */
}

.thumb>.page .pageNumber {
	position: absolute;
	bottom: 0;
	text-align: center;
	width: 100%;
}

.single {
	margin: 0 calc(8px + 32px / 2);
	box-shadow: 2px 2px 5px RGBA(0, 0, 0, 0.5);
}

.double_left {
	margin: 0 0 0 8px;
	box-shadow: 2px 2px 5px RGBA(0, 0, 0, 0.5);
}

.double_right {
	margin: 0 8px 0 0;
	box-shadow: 2px 2px 5px RGBA(0, 0, 0, 0.5);
}
